<template>
  <div class="fixed bottom-8 left-8 text-sm border-b-2 border-lessons">
    <span>
      Environment:
    </span>
    &nbsp; <!-- very interesting -->
    <span class="font-bold hover:text-lessons">
      {{ environment }}
    </span>
  </div>
  <div class="fixed bottom-8 right-8 text-sm border-b-2 border-lessons">
    <span>
      Name:
    </span>
    &nbsp;
    <span class="font-bold hover:text-lessons">
      {{ envName }}
    </span>
  </div>
</template>

<script>
export default {
  name: 'ProductionVer',
  computed: {
    environment() {
      try {
        return process.env.NODE_ENV.toUpperCase();
      } catch {
        return 'Error';
      }
    },
    envName() {
      try {
        return process.env.VUE_APP_ENV_NAME.toUpperCase();
      } catch {
        return 'Error';
      }
    },
  },
};
</script>
